\colorlet{punct}{red!60!black}
\definecolor{background}{HTML}{EEEEEE}
\definecolor{delim}{RGB}{20,105,176}
\colorlet{numb}{magenta!60!black}

\ifdefined\printmode
	\definecolor{gray}{rgb}{0.0,0.0,0.0}
	\definecolor{keywords}{rgb}{0.0,0.0,0.0}
	\definecolor{identifier}{rgb}{0.0,0.0,0.0}
	\definecolor{string}{rgb}{0.0,0.0,0.0}
	\definecolor{comment}{rgb}{0.0,0.0,0.0}
	\definecolor{digit}{rgb}{0.0,0.0,0.0}
\else
	\definecolor{gray}{rgb}{0.4,0.4,0.4}
	\definecolor{keywords}{rgb}{0.0,0.0,0.6}
	\definecolor{identifier}{rgb}{0.0,0.0,0.0}
	\definecolor{string}{rgb}{0.0,0.6,0.6}
	\definecolor{comment}{rgb}{0.0,0.6,0.0}
	\definecolor{digit}{rgb}{0.7,0.0,0.0}
\fi

\lstset{
	basicstyle=\footnotesize\ttfamily,
	backgroundcolor=\color{background},
	numbers=left,
	breaklines=true,
	tabsize=2,
	basicstyle=\ttfamily,
	frame=lines,
	framesep=4pt,
	framexleftmargin=4pt,
	numbers=left,
	captiondirection=RTL,
	numberstyle={\small\lr},
	numbersep=8pt,
	breaklines=true,
	stepnumber=1,
	showstringspaces=false,
	captionpos=b,
	xleftmargin=15pt,
	aboveskip = 15pt,
	belowskip = 20pt,
	prebreak=\raisebox{0ex}[0ex][0ex]{\ensuremath{\hookleftarrow}},
	keywordstyle=\color{keywords},
	stringstyle=\color{string},
	identifierstyle=\color{identifier},
	commentstyle=\color{comment},
}


\makeatletter
\newcommand{\ProcessDigit}[1]
{%
	\ifnum\lst@mode=\lst@Pmode\relax%
	{\color{digit} #1}%
	\else
	#1%
	\fi
}
\makeatother

\lstdefinelanguage{json}{
	literate=
		{0}{{{\ProcessDigit{0}}}}1
		{1}{{{\ProcessDigit{1}}}}1
		{2}{{{\ProcessDigit{2}}}}1
		{3}{{{\ProcessDigit{3}}}}1
		{4}{{{\ProcessDigit{4}}}}1
		{5}{{{\ProcessDigit{5}}}}1
		{6}{{{\ProcessDigit{6}}}}1
		{7}{{{\ProcessDigit{7}}}}1
		{8}{{{\ProcessDigit{8}}}}1
		{9}{{{\ProcessDigit{9}}}}1
		{"}{{{\ProcessDigit{"}}}}1
		{'}{{{\ProcessDigit{'}}}}1
		{<=}{{\(\leq\)}}1,
	morestring=[b]",
	morestring=[b]',
	morecomment=[l]//,
}

\lstdefinelanguage{xml}
{
	morestring=[b]",
	morestring=[s]{>}{<},
	morecomment=[s]{<?}{?>},
	morekeywords={xmlns,version,type}% list your attributes here
}

\lstdefinelanguage{qt}
{
	language=c++,
	morekeywords={Q3DBars,Q3DCamera,Q3DInputHandler,Q3DLight,Q3DObject,Q3DScatter,Q3DScene,Q3DSurface,Q3DTheme,AAssignmentInfo,QAbstract3DAxis,QAbstract3DGraph,QAbstract3DInputHandler,QAbstract3DSeries,QAbstractActionInput,QAbstractAnimation,QAbstractAnimation,QAbstractAnimationClip,QAbstractAspect,QAbstractAudioDeviceInfo,QAbstractAudioInput,QAbstractAudioOutput,QAbstractAxis,QAbstractAxisInput,QAbstractBarSeries,QAbstractButton,QAbstractCameraController,QAbstractClipAnimator,QAbstractClipBlendNode,QAbstractConcatenable,QAbstractDataProxy,QAbstractEventDispatcher,QAbstractExtensionFactory,QAbstractExtensionManager,QAbstractFormBuilder,QAbstractFunctor,QAbstractGraphicsShapeItem,QAbstractItemDelegate,QAbstractItemModel,QAbstractItemModelTester,QAbstractItemView,QAbstractLight,QAbstractListModel,QAbstractMessageHandler,QAbstractNativeEventFilter,QAbstractNetworkCache,QAbstractOAuth,QAbstractOAuth2,QAbstractOAuthReplyHandler,QAbstractOpenGLFunctions,QAbstractPhysicalDevice,QAbstractPhysicalDeviceProxy,QAbstractPlanarVideoBuffer,QAbstractPrintDialog,QAbstractProxyModel,QAbstractRayCaster,QAbstractScrollArea,QAbstractSeries,QAbstractSkeleton,QAbstractSlider,QAbstractSocket,QAbstractSpinBox,QAbstractState,QAbstractTableModel,QAbstractTextDocumentLayout,QAbstractTexture,QAbstractTextureImage,QAbstractTransition,QAbstractUndoItem,QAbstractUriResolver,QAbstractVideoBuffer,QAbstractVideoFilter,QAbstractVideoSurface,QAbstractXmlNodeModel,QAbstractXmlReceiver,QAccelerometer,QAccelerometerFilter,QAccelerometerReading,QAccessible,QAccessibleActionInterface,QAccessibleEditableTextInterface,QAccessibleEvent,QAccessibleInterface,QAccessibleObject,QAccessiblePlugin,QAccessibleStateChangeEvent,QAccessibleTableCellInterface,QAccessibleTableInterface,QAccessibleTableModelChangeEvent,QAccessibleTextCursorEvent,QAccessibleTextInsertEvent,QAccessibleTextInterface,QAccessibleTextRemoveEvent,QAccessibleTextSelectionEvent,QAccessibleTextUpdateEvent,QAccessibleValueChangeEvent,QAccessibleValueInterface,QAccessibleWidget,QAction,QAction,QActionEvent,QActionGroup,QActionInput,QAdditiveClipBlend,QAlphaCoverage,QAlphaTest,QAltimeter,QAltimeterFilter,QAltimeterReading,QAmbientLightFilter,QAmbientLightReading,QAmbientLightSensor,QAmbientTemperatureFilter,QAmbientTemperatureReading,QAmbientTemperatureSensor,QAnalogAxisInput,QAndroidActivityResultReceiver,QAndroidBinder,QAndroidIntent,QAndroidJniEnvironment,QAndroidJniExceptionCleaner,QAndroidJniObject,QAndroidParcel,QAndroidService,QAndroidServiceConnection,QAnimationAspect,QAnimationClipLoader,QAnimationController,QAnimationGroup,QAnimationGroup,QApplication,QApplicationStateChangeEvent,QAreaLegendMarker,QAreaSeries,QArgument,QArmature,QArrayData,QArrayDataPointer,QAspectEngine,QAspectJob,QAssociativeIterable,QAtomicInt,QAtomicInteger,QAtomicOps,QAtomicPointer,QAtomicTraits,QAttribute,QAudioBuffer,QAudioDecoder,QAudioDecoderControl,QAudioDeviceInfo,QAudioEncoderSettings,QAudioEncoderSettingsControl,QAudioFormat,QAudioInput,QAudioInputSelectorControl,QAudioOutput,QAudioOutputSelectorControl,QAudioProbe,QAudioRecorder,QAudioRoleControl,QAudioSystemPlugin,QAuthenticator,QAxAggregated,QAxBase,QAxBindable,QAxFactory,QAxis,QAxisAccumulator,QAxisSetting,QAxObject,QAxScript,QAxScriptEngine,QAxScriptManager,QAxSelect,QAxWidget,BQBackendNode,QBackendNodeMapper,QBackingStore,QBar3DSeries,QBarCategoryAxis,QBarDataItem,QBarDataProxy,QBarLegendMarker,QBarSeries,QBarSet,QBasicAtomicInteger,QBasicAtomicPointer,QBasicMutex,QBasicTimer,QBEInteger,QBigEndianStorageType,QBitArray,QBitmap,QBlendedClipAnimator,QBlendEquation,QBlendEquationArguments,QBlitFramebuffer,QBluetoothAddress,QBluetoothDeviceDiscoveryAgent,QBluetoothDeviceInfo,QBluetoothHostInfo,QBluetoothLocalDevice,QBluetoothServer,QBluetoothServiceDiscoveryAgent,QBluetoothServiceInfo,QBluetoothSocket,QBluetoothTransferManager,QBluetoothTransferReply,QBluetoothTransferRequest,QBluetoothUuid,QBoxLayout,QBoxPlotLegendMarker,QBoxPlotSeries,QBoxSet,QBrush,QBuffer,QBuffer,QBufferCapture,QBufferDataGenerator,QButtonAxisInput,QButtonGroup,QByteArray,QByteArrayList,QByteArrayMatcher,QByteRef,CQCache,QCalendarWidget,QCamera,QCamera,QCameraCaptureBufferFormatControl,QCameraCaptureDestinationControl,QCameraControl,QCameraExposure,QCameraExposureControl,QCameraFeedbackControl,QCameraFlashControl,QCameraFocus,QCameraFocusControl,QCameraFocusZone,QCameraImageCapture,QCameraImageCaptureControl,QCameraImageProcessing,QCameraImageProcessingControl,QCameraInfo,QCameraInfoControl,QCameraLens,QCameraLocksControl,QCameraSelector,QCameraViewfinderSettings,QCameraViewfinderSettingsControl,QCameraViewfinderSettingsControl2,QCameraZoomControl,QCanBus,QCanBusDevice,QCanBusDeviceInfo,QCanBusFactory,QCanBusFactoryV2,QCanBusFrame,QCandlestickLegendMarker,QCandlestickModelMapper,QCandlestickSeries,QCandlestickSet,QCategory3DAxis,QCategoryAxis,QCborArray,QCborError,QCborMap,QCborParserError,QCborStreamReader,QCborStreamWriter,QCborValue,QCborValueRef,QChannelMappingCreatedChangeBase,QChar,QChart,QChartView,QCheckBox,QChildEvent,QClearBuffers,QClipAnimator,QClipBlendNodeCreatedChangeBase,QClipboard,QClipPlane,QCloseEvent,QCocoaNativeContext,QCocoaWindowFunctions,QCollator,QCollatorSortKey,QColor,QColorDialog,QColorDialogOptions,QColormap,QColorMask,QColumnView,QComboBox,QCommandLineOption,QCommandLineParser,QCommandLinkButton,QCommonStyle,QCompass,QCompassFilter,QCompassReading,QCompleter,QComponent,QComponentAddedChange,QComponentRemovedChange,QCompressedHelpInfo,QComputeCommand,QConcatenateTablesProxyModel,QConeGeometry,QConeMesh,QConicalGradient,QContextMenuEvent,QContiguousCache,QContiguousCacheData,QContiguousCacheTypedData,QCoreApplication,QCryptographicHash,QCuboidGeometry,QCuboidMesh,QCullFace,QCursor,QCustom3DItem,QCustom3DLabel,QCustom3DVolume,QCustomAudioRoleControl,QCylinderGeometry,QCylinderMesh,QDataStream,QDataWidgetMapper,QDate,QDateEdit,QDateTime,QDateTimeAxis,QDateTimeEdit,QDBusAbstractAdaptor,QDBusAbstractInterface,QDBusAbstractInterfaceBase,QDBusArgument,QDBusConnection,QDBusConnectionInterface,QDBusContext,QDBusError,QDBusInterface,QDBusMessage,QDBusObjectPath,QDBusPendingCall,QDBusPendingCallWatcher,QDBusPendingReply,QDBusPendingReplyData,QDBusReply,QDBusServer,QDBusServiceWatcher,QDBusSignature,QDBusUnixFileDescriptor,QDBusVariant,QDBusVirtualObject,QDeadlineTimer,QDebug,QDebugStateSaver,QDeferredDeleteEvent,QDepthTest,QDesignerActionEditorInterface,QDesignerContainerExtension,QDesignerCustomWidgetCollectionInterface,QDesignerCustomWidgetInterface,QDesignerDynamicPropertySheetExtension,QDesignerFormEditorInterface,QDesignerFormWindowCursorInterface,QDesignerFormWindowInterface,QDesignerFormWindowManager,QDesignerFormWindowManagerInterface,QDesignerMemberSheetExtension,QDesignerObjectInspectorInterface,QDesignerPropertyEditorInterface,QDesignerPropertySheetExtension,QDesignerTaskMenuExtension,QDesignerWidgetBoxInterface,QDesktopServices,QDesktopWidget,QDial,QDialog,QDialogButtonBox,QDiffuseMapMaterial,QDiffuseSpecularMapMaterial,QDiffuseSpecularMaterial,QDir,QDirectionalLight,QDirIterator,QDirModel,QDispatchCompute,QDistanceFilter,QDistanceReading,QDistanceSensor,QDithering,QDnsDomainNameRecord,QDnsHostAddressRecord,QDnsLookup,QDnsMailExchangeRecord,QDnsServiceRecord,QDnsTextRecord,QDockWidget,QDomAttr,QDomCDATASection,QDomCharacterData,QDomComment,QDomDocument,QDomDocumentFragment,QDomDocumentType,QDomElement,QDomEntity,QDomEntityReference,QDomImplementation,QDomNamedNodeMap,QDomNode,QDomNodeList,QDomNotation,QDomProcessingInstruction,QDomText,QDoubleSpinBox,QDoubleValidator,QDrag,QDragEnterEvent,QDragLeaveEvent,QDragMoveEvent,QDropEvent,QDtls,QDtlsClientVerifier,QDynamicPropertyChangeEvent,QDynamicPropertyUpdatedChange,EEvaluatorInfo,QEasingCurve,QEffect,QEglFSFunctions,QEGLNativeContext,QElapsedTimer,QEnableSharedFromThis,QEnterEvent,QEntity,QEnvironmentLight,QErrorMessage,QEvent,QEventLoop,QEventLoopLocker,QEventSizeOfChecker,QEventTransition,QException,QExplicitlySharedDataPointer,QExposeEvent,QExtensionFactory,QExtensionManager,QExtrudedTextGeometry,QExtrudedTextMesh,FForeachInfo,QFactoryInterface,QFile,QFileDevice,QFileDialog,QFileDialogOptions,QFileIconProvider,QFileInfo,QFileOpenEvent,QFileSelector,QFileSystemModel,QFileSystemWatcher,QFilterKey,QFinalState,QFirstPersonCameraController,QFlag,QFlags,qfloat16,QFocusEvent,QFocusFrame,QFont,QFontComboBox,QFontDatabase,QFontDialog,QFontDialogOptions,QFontInfo,QFontMetrics,QFontMetricsF,QFormBuilder,QFormLayout,QForwardRenderer,QFrame,QFrameAction,QFrameGraphNode,QFrameGraphNodeCreatedChangeBase,QFrontFace,QFrustumCulling,QFuture,QFutureIterator,QFutureSynchronizer,QFutureWatcher,QFutureWatcherBase,GQGamepad,QGamepadKeyNavigation,QGamepadManager,QGenericArgument,QGenericAtomicOps,QGenericMatrix,QGenericPlugin,QGenericPluginFactory,QGenericReturnArgument,QGeoAddress,QGeoAreaMonitorInfo,QGeoAreaMonitorSource,QGeoCircle,QGeoCodeReply,QGeoCodingManager,QGeoCodingManagerEngine,QGeoCoordinate,QGeoJson,QGeoLocation,QGeoManeuver,QGeometry,QGeometryRenderer,QGeoPath,QGeoPolygon,QGeoPositionInfo,QGeoPositionInfoSource,QGeoPositionInfoSourceFactory,QGeoRectangle,QGeoRoute,QGeoRouteLeg,QGeoRouteReply,QGeoRouteRequest,QGeoRouteSegment,QGeoRoutingManager,QGeoRoutingManagerEngine,QGeoSatelliteInfo,QGeoSatelliteInfoSource,QGeoServiceProvider,QGeoServiceProviderFactory,QGeoServiceProviderFactoryV2,QGeoShape,QGesture,QGestureEvent,QGestureRecognizer,QGLBuffer,QGLColormap,QGLContext,QGLFormat,QGLFramebufferObject,QGLFramebufferObjectFormat,QGLFunctions,QGlobalStatic,QGLPixelBuffer,QGLShader,QGLShaderProgram,QGLWidget,QGLXNativeContext,QGlyphRun,QGoochMaterial,QGradient,QGraphicsAnchor,QGraphicsAnchorLayout,QGraphicsApiFilter,QGraphicsBlurEffect,QGraphicsColorizeEffect,QGraphicsDropShadowEffect,QGraphicsEffect,QGraphicsEllipseItem,QGraphicsGridLayout,QGraphicsItem,QGraphicsItemAnimation,QGraphicsItemGroup,QGraphicsLayout,QGraphicsLayoutItem,QGraphicsLinearLayout,QGraphicsLineItem,QGraphicsObject,QGraphicsOpacityEffect,QGraphicsPathItem,QGraphicsPixmapItem,QGraphicsPolygonItem,QGraphicsProxyWidget,QGraphicsRectItem,QGraphicsRotation,QGraphicsScale,QGraphicsScene,QGraphicsSceneContextMenuEvent,QGraphicsSceneDragDropEvent,QGraphicsSceneEvent,QGraphicsSceneHelpEvent,QGraphicsSceneHoverEvent,QGraphicsSceneMouseEvent,QGraphicsSceneMoveEvent,QGraphicsSceneResizeEvent,QGraphicsSceneWheelEvent,QGraphicsSimpleTextItem,QGraphicsSvgItem,QGraphicsTextItem,QGraphicsTransform,QGraphicsView,QGraphicsWidget,QGridLayout,QGroupBox,QGuiApplication,QGyroscope,QGyroscopeFilter,QGyroscopeReading,HQHash,QHashData,QHashIterator,QHashNode,QHBarModelMapper,QHBoxLayout,QHBoxPlotModelMapper,QHCandlestickModelMapper,QHeaderView,QHeightMapSurfaceDataProxy,QHelpContentItem,QHelpContentModel,QHelpContentWidget,QHelpEngine,QHelpEngineCore,QHelpEvent,QHelpFilterData,QHelpFilterEngine,QHelpIndexModel,QHelpIndexWidget,QHelpSearchEngine,QHelpSearchQuery,QHelpSearchQueryWidget,QHelpSearchResult,QHelpSearchResultWidget,QHideEvent,QHistoryState,QHolsterFilter,QHolsterReading,QHolsterSensor,QHorizontalBarSeries,QHorizontalPercentBarSeries,QHorizontalStackedBarSeries,QHostAddress,QHostInfo,QHoverEvent,QHPieModelMapper,QHstsPolicy,QHttpMultiPart,QHttpPart,QHumidityFilter,QHumidityReading,QHumiditySensor,QHXYModelMapper,IInvokeInfo,QIcon,QIconDragEvent,QIconEngine,QIconEnginePlugin,QIdentityProxyModel,QImage,QImageEncoderControl,QImageEncoderSettings,QImageIOHandler,QImageIOPlugin,QImageReader,QImageTextKeyLang,QImageWriter,QInAppProduct,QInAppStore,QInAppTransaction,QIncompatibleFlag,QInputAspect,QInputChord,QInputDeviceIntegration,QInputDialog,QInputEvent,QInputMethod,QInputMethodEvent,QInputMethodQueryEvent,QInputSequence,QInputSettings,QInternal,QIntValidator,QIODevice,QIPv6Address,QIRProximityFilter,QIRProximityReading,QIRProximitySensor,QItemDelegate,QItemEditorCreator,QItemEditorCreatorBase,QItemEditorFactory,QItemModelBarDataProxy,QItemModelScatterDataProxy,QItemModelSurfaceDataProxy,QItemSelection,QItemSelectionModel,QItemSelectionRange,JQJoint,QJSEngine,QJsonArray,QJsonDocument,QJsonObject,QJsonParseError,QJsonValue,QJsonValuePtr,QJsonValueRefPtr,QJSValue,QJSValueIterator,KQKeyboardDevice,QKeyboardHandler,QKeyEvent,QKeyEvent,QKeyEventTransition,QKeyFrame,QKeyframeAnimation,QKeySequence,QKeySequenceEdit,QKeyValueIterator,LQLabel,QLatin1Char,QLatin1String,QLayer,QLayerFilter,QLayout,QLayoutItem,QLCDNumber,QLegend,QLegendMarker,QLEInteger,QLerpClipBlend,QLevelOfDetail,QLevelOfDetailBoundingSphere,QLevelOfDetailSwitch,QLibrary,QLibraryInfo,QLidFilter,QLidReading,QLidSensor,QLightFilter,QLightReading,QLightSensor,QLine,QLinearGradient,QLineEdit,QLineF,QLineSeries,QLineWidth,QLinkedList,QLinkedListIterator,QLinkedListNode,QLinuxFbFunctions,QList,QListData,QListIterator,QListSpecialMethods,QListView,QListWidget,QListWidgetItem,QLittleEndianStorageType,QLocale,QLocalServer,QLocalSocket,QLockFile,QLoggingCategory,QLogicalDevice,QLogicAspect,QLogValue3DAxisFormatter,QLogValueAxis,QLowEnergyAdvertisingData,QLowEnergyAdvertisingParameters,QLowEnergyCharacteristic,QLowEnergyCharacteristicData,QLowEnergyConnectionParameters,QLowEnergyController,QLowEnergyDescriptor,QLowEnergyDescriptorData,QLowEnergyService,QLowEnergyServiceData,MQMacCocoaViewContainer,QMacNativeWidget,QMacPasteboardMime,QMacToolBar,QMacToolBarItem,QMagnetometer,QMagnetometerFilter,QMagnetometerReading,QMainWindow,QMap,QMapData,QMapDataBase,QMapIterator,QMapNode,QMapNodeBase,QMargins,QMarginsF,QMaskGenerator,QMaterial,QMatrix,QMatrix4x4,QMdiArea,QMdiSubWindow,QMediaAudioProbeControl,QMediaAvailabilityControl,QMediaBindableInterface,QMediaContainerControl,QMediaContent,QMediaControl,QMediaGaplessPlaybackControl,QMediaNetworkAccessControl,QMediaObject,QMediaPlayer,QMediaPlayerControl,QMediaPlaylist,QMediaRecorder,QMediaRecorderControl,QMediaResource,QMediaService,QMediaServiceCameraInfoInterface,QMediaServiceDefaultDeviceInterface,QMediaServiceFeaturesInterface,QMediaServiceProviderPlugin,QMediaServiceSupportedDevicesInterface,QMediaServiceSupportedFormatsInterface,QMediaStreamsControl,QMediaTimeInterval,QMediaTimeRange,QMediaVideoProbeControl,QMemoryBarrier,QMenu,QMenuBar,QMesh,QMessageAuthenticationCode,QMessageBox,QMessageDialogOptions,QMessageLogContext,QMessageLogger,QMetaClassInfo,QMetaDataReaderControl,QMetaDataWriterControl,QMetaEnum,QMetalRoughMaterial,QMetaMethod,QMetaObject,QMetaProperty,QMetaType,QMetaTypeId,QMetaTypeId,QMetaTypeId,QMetaTypeId,QMetaTypeId,QMetaTypeId,QMetaTypeId,QMetaTypeId2,QMetaTypeId2,QMimeData,QMimeDatabase,QMimeType,QModbusClient,QModbusDataUnit,QModbusDevice,QModbusDeviceIdentification,QModbusExceptionResponse,QModbusPdu,QModbusReply,QModbusRequest,QModbusResponse,QModbusRtuSerialMaster,QModbusRtuSerialSlave,QModbusServer,QModbusTcpClient,QModbusTcpConnectionObserver,QModbusTcpServer,QModelIndex,QMorphingAnimation,QMorphPhongMaterial,QMorphTarget,QMouseDevice,QMouseEvent,QMouseEvent,QMouseEventTransition,QMouseHandler,QMoveEvent,QMovie,QMultiHash,QMultiMap,QMultiSampleAntiAliasing,QMutableHashIterator,QMutableLinkedListIterator,QMutableListIterator,QMutableMapIterator,QMutableSetIterator,QMutableVectorIterator,QMutex,QMutexLocker,NQNativeGestureEvent,QNdefFilter,QNdefMessage,QNdefNfcSmartPosterRecord,QNdefNfcTextRecord,QNdefNfcUriRecord,QNdefRecord,QNearFieldManager,QNearFieldShareManager,QNearFieldShareTarget,QNearFieldTarget,QNetworkAccessManager,QNetworkAddressEntry,QNetworkCacheMetaData,QNetworkConfiguration,QNetworkConfigurationManager,QNetworkCookie,QNetworkCookieJar,QNetworkDatagram,QNetworkDiskCache,QNetworkInterface,QNetworkProxy,QNetworkProxyFactory,QNetworkProxyQuery,QNetworkReply,QNetworkRequest,QNetworkSession,QNmeaPositionInfoSource,QNode,QNoDebug,QNodeCommand,QNodeCreatedChange,QNodeCreatedChangeBase,QNodeDestroyedChange,QNodeId,QNoDepthMask,QNoDraw,QNormalDiffuseMapAlphaMaterial,QNormalDiffuseMapMaterial,QNormalDiffuseSpecularMapMaterial,OQOAuth1,QOAuth1Signature,QOAuth2AuthorizationCodeFlow,QObject,QObjectCleanupHandler,QObjectData,QObjectPicker,QObjectUserData,QOcspResponse,QOffscreenSurface,QOpenGLBuffer,QOpenGLContext,QOpenGLContextGroup,QOpenGLDebugLogger,QOpenGLDebugMessage,QOpenGLExtraFunctions,QOpenGLFramebufferObject,QOpenGLFramebufferObjectFormat,QOpenGLFunctions,QOpenGLFunctions_1_0,QOpenGLFunctions_1_0_CoreBackend,QOpenGLFunctions_1_0_DeprecatedBackend,QOpenGLFunctions_1_1,QOpenGLFunctions_1_1_CoreBackend,QOpenGLFunctions_1_1_DeprecatedBackend,QOpenGLFunctions_1_2,QOpenGLFunctions_1_2_CoreBackend,QOpenGLFunctions_1_2_DeprecatedBackend,QOpenGLFunctions_1_3,QOpenGLFunctions_1_3_CoreBackend,QOpenGLFunctions_1_3_DeprecatedBackend,QOpenGLFunctions_1_4,QOpenGLFunctions_1_4_CoreBackend,QOpenGLFunctions_1_4_DeprecatedBackend,QOpenGLFunctions_1_5,QOpenGLFunctions_1_5_CoreBackend,QOpenGLFunctions_2_0,QOpenGLFunctions_2_0_CoreBackend,QOpenGLFunctions_2_0_DeprecatedBackend,QOpenGLFunctions_2_1,QOpenGLFunctions_2_1_CoreBackend,QOpenGLFunctions_3_0,QOpenGLFunctions_3_0_CoreBackend,QOpenGLFunctions_3_0_DeprecatedBackend,QOpenGLFunctions_3_1,QOpenGLFunctions_3_1_CoreBackend,QOpenGLFunctions_3_2_Compatibility,QOpenGLFunctions_3_2_Core,QOpenGLFunctions_3_2_CoreBackend,QOpenGLFunctions_3_3_Compatibility,QOpenGLFunctions_3_3_Core,QOpenGLFunctions_3_3_CoreBackend,QOpenGLFunctions_3_3_DeprecatedBackend,QOpenGLFunctions_4_0_Compatibility,QOpenGLFunctions_4_0_Core,QOpenGLFunctions_4_0_CoreBackend,QOpenGLFunctions_4_1_Compatibility,QOpenGLFunctions_4_1_Core,QOpenGLFunctions_4_1_CoreBackend,QOpenGLFunctions_4_2_Compatibility,QOpenGLFunctions_4_2_Core,QOpenGLFunctions_4_2_CoreBackend,QOpenGLFunctions_4_3_Compatibility,QOpenGLFunctions_4_3_Core,QOpenGLFunctions_4_3_CoreBackend,QOpenGLFunctions_4_4_Compatibility,QOpenGLFunctions_4_4_Core,QOpenGLFunctions_4_4_CoreBackend,QOpenGLFunctions_4_5_Compatibility,QOpenGLFunctions_4_5_Core,QOpenGLFunctions_4_5_CoreBackend,QOpenGLFunctions_4_5_DeprecatedBackend,QOpenGLFunctions_ES2,QOpenGLPaintDevice,QOpenGLPixelTransferOptions,QOpenGLShader,QOpenGLShaderProgram,QOpenGLTexture,QOpenGLTextureBlitter,QOpenGLTimeMonitor,QOpenGLTimerQuery,QOpenGLVersionFunctionsBackend,QOpenGLVersionFunctionsStorage,QOpenGLVersionProfile,QOpenGLVersionStatus,QOpenGLVertexArrayObject,QOpenGLWidget,QOpenGLWindow,QOperatingSystemVersion,QOrbitCameraController,QOrientationFilter,QOrientationReading,QOrientationSensor,qoutputrange,PParameterInfo,QPagedPaintDevice,QPageLayout,QPageSetupDialog,QPageSize,QPaintDevice,QPaintDeviceWindow,QPaintedTextureImage,QPaintEngine,QPaintEngineState,QPainter,QPainterPath,QPainterPathStroker,QPaintEvent,QPair,QPalette,QPanGesture,QParallelAnimationGroup,QParameter,QPauseAnimation,QPdfWriter,QPen,QPercentBarSeries,QPersistentModelIndex,QPerVertexColorMaterial,QPhongAlphaMaterial,QPhongMaterial,QPickEvent,QPickingSettings,QPickLineEvent,QPickPointEvent,QPickTriangleEvent,QPicture,QPictureFormatPlugin,QPictureIO,QPieLegendMarker,QPieSeries,QPieSlice,QPinchGesture,QPixelFormat,QPixmap,QPixmapCache,QPlace,QPlaceAttribute,QPlaceCategory,QPlaceContactDetail,QPlaceContent,QPlaceContentReply,QPlaceContentRequest,QPlaceDetailsReply,QPlaceEditorial,QPlaceIcon,QPlaceIdReply,QPlaceImage,QPlaceManager,QPlaceManagerEngine,QPlaceMatchReply,QPlaceMatchRequest,QPlaceProposedSearchResult,QPlaceRatings,QPlaceReply,QPlaceResult,QPlaceReview,QPlaceSearchReply,QPlaceSearchRequest,QPlaceSearchResult,QPlaceSearchSuggestionReply,QPlaceSupplier,QPlaceUser,QPlainTextDocumentLayout,QPlainTextEdit,QPlaneGeometry,QPlaneMesh,QPlatformDragQtResponse,QPlatformDropQtResponse,QPlatformIntegrationPlugin,QPlatformMenu,QPlatformMenuBar,QPlatformMenuItem,QPlatformOffscreenSurface,QPlatformPrintDevice,QPlatformPrinterSupportPlugin,QPlatformSessionManager,QPlatformSurfaceEvent,QPlatformTextureList,QPluginLoader,QPoint,QPointer,QPointF,QPointingDeviceUniqueId,QPointLight,QPointSize,QPolarChart,QPolygon,QPolygonF,QPolygonOffset,QPressureFilter,QPressureReading,QPressureSensor,QPrintDialog,QPrintEngine,QPrinter,QPrinterInfo,QPrintPreviewDialog,QPrintPreviewWidget,QProcess,QProcessEnvironment,QProgressBar,QProgressDialog,QPropertyAnimation,QPropertyNodeAddedChange,QPropertyNodeRemovedChange,QPropertyUpdatedChange,QPropertyUpdatedChangeBase,QPropertyValueAddedChange,QPropertyValueAddedChangeBase,QPropertyValueRemovedChange,QPropertyValueRemovedChangeBase,QProximityFilter,QProximityFilter,QProximityReading,QProximitySensor,QProxyStyle,QPushButton,QQQmlAbstractUrlInterceptor,QQmlApplicationEngine,QQmlAspectEngine,(Qt3DCore::Quick),QQmlComponent,QQmlContext,QQmlEngine,QQmlError,QQmlExpression,QQmlExtensionPlugin,QQmlFileSelector,QQmlImageProviderBase,QQmlIncubationController,QQmlIncubator,QQmlListProperty,QQmlListReference,QQmlNdefRecord,QQmlNetworkAccessManagerFactory,QQmlParserStatus,QQmlProperty,QQmlPropertyMap,QQmlPropertyValueSource,QQmlScriptString,QQuaternion,QQueue,QQuickAsyncImageProvider,QQuickFramebufferObject,QQuickImageProvider,QQuickImageResponse,QQuickItem,QQuickItemGrabResult,QQuickPaintedItem,QQuickRenderControl,QQuickStyle,QQuickTextDocument,QQuickTextureFactory,QQuickView,QQuickWebEngineProfile,QQuickWebEngineScript,QQuickWidget,QQuickWindow,RQRadialGradient,QRadioButton,QRadioData,QRadioDataControl,QRadioTuner,QRadioTunerControl,QRandomGenerator,QRandomGenerator64,QRasterPaintEngine,QRasterWindow,QRawFont,QRayCaster,QRayCasterHit,QReadLocker,QReadWriteLock,QRect,QRectF,QRegExp,QRegExpValidator,QRegion,QRegularExpression,QRegularExpressionMatch,QRegularExpressionMatchIterator,QRegularExpressionValidator,QRemoteObjectAbstractPersistedStore,QRemoteObjectDynamicReplica,QRemoteObjectHost,QRemoteObjectHostBase,QRemoteObjectNode,QRemoteObjectRegistry,QRemoteObjectRegistryHost,QRemoteObjectReplica,QRenderAspect,QRenderCapture,QRenderCaptureReply,QRenderPass,QRenderPassFilter,QRenderSettings,QRenderState,QRenderStateSet,QRenderSurfaceSelector,QRenderTarget,QRenderTargetOutput,QRenderTargetSelector,QResizeEvent,QResource,QReturnArgument,QRgba64,QRotationFilter,QRotationReading,QRotationSensor,QRubberBand,QRunnable,SQSaveFile,QScatter3DSeries,QScatterDataItem,QScatterDataProxy,QScatterSeries,QScene2D,(Qt3DRender::Quick),QSceneChange,QSceneLoader,QScissorTest,QScopedArrayPointer,QScopedPointer,QScopedPointerArrayDeleter,QScopedPointerDeleter,QScopedPointerObjectDeleteLater,QScopedPointerPodDeleter,QScopedValueRollback,QScopeGuard,QScreen,QScreenOrientationChangeEvent,QScreenRayCaster,QScriptable,QScriptClass,QScriptClassPropertyIterator,QScriptContext,QScriptContextInfo,QScriptEngine,QScriptEngineAgent,QScriptEngineDebugger,QScriptExtensionPlugin,QScriptProgram,QScriptString,QScriptSyntaxCheckResult,QScriptValue,QScriptValueIterator,QScrollArea,QScrollBar,QScroller,QScrollerProperties,QScrollEvent,QScrollPrepareEvent,QSctpServer,QSctpSocket,QScxmlCompiler,QScxmlCppDataModel,QScxmlDataModel,QScxmlDynamicScxmlServiceFactory,QScxmlEcmaScriptDataModel,QScxmlError,QScxmlEvent,QScxmlInvokableService,QScxmlInvokableServiceFactory,QScxmlNullDataModel,QScxmlStateMachine,QScxmlStaticScxmlServiceFactory,QScxmlTableData,QSeamlessCubemap,QSemaphore,QSemaphoreReleaser,QSensor,QSensorBackend,QSensorBackendFactory,QSensorChangesInterface,QSensorFilter,QSensorGesture,QSensorGestureManager,QSensorGesturePluginInterface,QSensorGestureRecognizer,QSensorManager,QSensorPluginInterface,QSensorReading,QSequentialAnimationGroup,QSequentialIterable,QSerialPort,QSerialPortInfo,QSessionManager,QSet,QSetIterator,QSettings,QSGAbstractRenderer,QSGBasicGeometryNode,QSGClipNode,QSGDynamicTexture,QSGEngine,QSGFlatColorMaterial,QSGGeometry,QSGGeometryNode,QSGImageNode,QSGMaterial,QSGMaterialShader,QSGMaterialType,QSGNode,QSGOpacityNode,QSGOpaqueTextureMaterial,QSGRectangleNode,QSGRendererInterface,QSGRenderNode,QSGSimpleMaterial,QSGSimpleMaterialShader,QSGSimpleRectNode,QSGSimpleTextureNode,QSGTexture,QSGTextureMaterial,QSGTextureProvider,QSGTransformNode,QSGVertexColorMaterial,QShaderData,QShaderProgram,QShaderProgramBuilder,QSharedData,QSharedDataPointer,QSharedGLTexture,QSharedMemory,QSharedPointer,QShortcut,QShortcutEvent,QShowEvent,QSignalBlocker,QSignalMapper,QSignalSpy,QSignalTransition,QSimpleXmlNodeModel,QSize,QSizeF,QSizeGrip,QSizePolicy,QSkeleton,QSkeletonLoader,QSkyboxEntity,QSlider,QSocketNotifier,QSortFilterProxyModel,QSortPolicy,QSound,QSoundEffect,QSourceLocation,QSpacerItem,QSpecialInteger,QSphereGeometry,QSphereMesh,QSpinBox,QSplashScreen,QSplineSeries,QSplitter,QSplitterHandle,QSpontaneKeyEvent,QSpotLight,QSqlDatabase,QSqlDriver,QSqlDriverCreator,QSqlDriverCreatorBase,QSqlDriverPlugin,QSqlError,QSqlField,QSqlIndex,QSqlQuery,QSqlQueryModel,QSqlRecord,QSqlRelation,QSqlRelationalDelegate,QSqlRelationalTableModel,QSqlResult,QSqlTableModel,QSslCertificate,QSslCertificateExtension,QSslCipher,QSslConfiguration,QSslDiffieHellmanParameters,QSslEllipticCurve,QSslError,QSslKey,QSslPreSharedKeyAuthenticator,QSslSocket,QStack,QStackedBarSeries,QStackedLayout,QStackedWidget,QStandardItem,QStandardItemEditorCreator,QStandardItemModel,QStandardPaths,QState,QStateMachine,QStaticByteArrayData,QStaticByteArrayMatcher,QStaticPlugin,QStaticPropertyUpdatedChangeBase,QStaticPropertyValueAddedChangeBase,QStaticPropertyValueRemovedChangeBase,QStaticStringData,QStaticText,QStatusBar,QStatusTipEvent,QStencilMask,QStencilOperation,QStencilOperationArguments,QStencilTest,QStencilTestArguments,QStorageInfo,QString,QStringBuilderCommon,QStringList,QStringListModel,QStringMatcher,QStringRef,QStringView,QStyle,QStyledItemDelegate,QStyleFactory,QStyleHintReturn,QStyleHintReturnMask,QStyleHintReturnVariant,QStyleHints,QStyleOption,QStyleOptionButton,QStyleOptionComboBox,QStyleOptionComplex,QStyleOptionDockWidget,QStyleOptionFocusRect,QStyleOptionFrame,QStyleOptionGraphicsItem,QStyleOptionGroupBox,QStyleOptionHeader,QStyleOptionMenuItem,QStyleOptionProgressBar,QStyleOptionRubberBand,QStyleOptionSizeGrip,QStyleOptionSlider,QStyleOptionSpinBox,QStyleOptionTab,QStyleOptionTabBarBase,QStyleOptionTabWidgetFrame,QStyleOptionTitleBar,QStyleOptionToolBar,QStyleOptionToolBox,QStyleOptionToolButton,QStyleOptionViewItem,QStylePainter,QStylePlugin,QSupportedWritingSystems,QSurface,QSurface3DSeries,QSurfaceDataItem,QSurfaceDataProxy,QSurfaceFormat,QSvgGenerator,QSvgRenderer,QSvgWidget,QSwipeGesture,QSyntaxHighlighter,QSysInfo,QSystemSemaphore,QSystemTrayIcon,TQTabBar,QTabletEvent,QTableView,QTableWidget,QTableWidgetItem,QTableWidgetSelectionRange,QTabWidget,QTapAndHoldGesture,QTapFilter,QTapGesture,QTapReading,QTapSensor,QTcpServer,QTcpSocket,QTechnique,QTechniqueFilter,QTemporaryDir,QTemporaryFile,QTestData,QTestDelayEvent,QTestEvent,QTestEventList,QTestEventLoop,QTestKeyClicksEvent,QTestKeyEvent,QTestMouseEvent,QText2DEntity,QTextBlock,QTextBlockFormat,QTextBlockGroup,QTextBlockUserData,QTextBoundaryFinder,QTextBrowser,QTextCharFormat,QTextCodec,QTextCursor,QTextDecoder,QTextDocument,QTextDocumentFragment,QTextDocumentWriter,QTextEdit,QTextEncoder,QTextFormat,QTextFragment,QTextFrame,QTextFrameFormat,QTextFrameLayoutData,QTextImageFormat,QTextInlineObject,QTextItem,QTextLayout,QTextLength,QTextLine,QTextList,QTextListFormat,QTextObject,QTextObjectInterface,QTextOption,QTextStream,QTextStreamManipulator,QTextTable,QTextTableCell,QTextTableCellFormat,QTextTableFormat,QTextToSpeech,QTextToSpeechEngine,QTextToSpeechPlugin,QTexture1D,QTexture1DArray,QTexture2D,QTexture2DArray,QTexture2DMultisample,QTexture2DMultisampleArray,QTexture3D,QTextureBuffer,QTextureCubeMap,QTextureCubeMapArray,QTextureData,QTexturedMetalRoughMaterial,QTextureImage,QTextureImageData,QTextureImageDataGenerator,QTextureLoader,QTextureMaterial,QTextureRectangle,QTextureWrapMode,QThread,QThreadPool,QThreadStorage,QThreadStorageData,QTileRules,QTiltFilter,QTiltReading,QTiltSensor,QTime,QTimeEdit,QTimeLine,QTimer,QTimerEvent,QTimeZone,QToolBar,QToolBox,QToolButton,QToolTip,QTorusGeometry,QTorusMesh,QTouch3DInputHandler,QTouchDevice,QTouchEvent,QTouchEventSequence,QTransform,QTransform,QTranslator,QTransposeProxyModel,QTreeView,QTreeWidget,QTreeWidgetItem,QTreeWidgetItemIterator,QtROClientFactory,QtROServerFactory,QTypedArrayData,QTypeInfo,QTypeInfo,QTypeInfo,QTypeInfo,QTypeInfo,QTypeInfo,UQUdpSocket,QUiLoader,QUndoCommand,QUndoGroup,QUndoStack,QUndoView,QUnhandledException,QUrl,QUrlQuery,QUrlTwoFlags,QUuid,VQValidator,QValue3DAxis,QValue3DAxisFormatter,QValueAxis,QVariant,QVariantMap,QVariantList,QVariantAnimation,QVarLengthArray,QVBarModelMapper,QVBoxLayout,QVBoxPlotModelMapper,QVCandlestickModelMapper,QVector,QVector2D,QVector3D,QVector4D,QVectorIterator,QVersionNumber,QVertexBlendAnimation,QVideoDeviceSelectorControl,QVideoEncoderSettings,QVideoEncoderSettingsControl,QVideoFilterRunnable,QVideoFrame,QVideoProbe,QVideoRendererControl,QVideoSurfaceFormat,QVideoWidget,QVideoWidgetControl,QVideoWindowControl,QViewport,QVirtualKeyboardAbstractInputMethod,QVirtualKeyboardExtensionPlugin,QVirtualKeyboardInputContext,QVirtualKeyboardInputEngine,QVirtualKeyboardSelectionListModel,QVirtualKeyboardTrace,QVoice,QVPieModelMapper,QVulkanDeviceFunctions,QVulkanExtension,QVulkanFunctions,QVulkanInfoVector,QVulkanInstance,QVulkanLayer,QVulkanWindow,QVulkanWindowRenderer,QVXYModelMapper,WQWaitCondition,QWaylandBufferRef,QWaylandClient,QWaylandCompositor,QWaylandIviApplication,QWaylandIviSurface,QWaylandKeyboard,QWaylandOutput,QWaylandOutputMode,QWaylandPointer,QWaylandQuickItem,QWaylandQuickShellSurfaceItem,QWaylandSeat,QWaylandShellSurface,QWaylandSurface,QWaylandSurfaceGrabber,QWaylandTouch,QWaylandView,QWaylandViewporter,QWaylandWlScaler,QWaylandWlShell,QWaylandWlShellSurface,QWaylandXdgDecorationManagerV1,QWaylandXdgPopup,QWaylandXdgPopupV5,QWaylandXdgPopupV6,QWaylandXdgShell,QWaylandXdgShellV5,QWaylandXdgShellV6,QWaylandXdgSurface,QWaylandXdgSurfaceV5,QWaylandXdgSurfaceV6,QWaylandXdgToplevel,QWaylandXdgToplevelV6,QWeakPointer,QWebChannel,QWebChannelAbstractTransport,QWebEngineClientCertificateStore,QWebEngineCookieStore,QWebEngineHttpRequest,QWebEngineNotification,QWebEnginePage,QWebEngineProfile,QWebEngineQuotaRequest,QWebEngineRegisterProtocolHandlerRequest,QWebEngineScript,QWebEngineScriptCollection,QWebEngineSettings,QWebEngineUrlRequestInfo,QWebEngineUrlRequestInterceptor,QWebEngineUrlRequestJob,QWebEngineUrlScheme,QWebEngineUrlSchemeHandler,QWebEngineView,QWebSocket,QWebSocketCorsAuthenticator,QWebSocketServer,QWGLNativeContext,QWhatsThis,QWhatsThisClickedEvent,QWheelEvent,QWheelEvent,QWidget,QWidgetAction,QWidgetItem,QWindow,QWindowStateChangeEvent,QWindowsWindowFunctions,QWinEventNotifier,QWinJumpList,QWinJumpListCategory,QWinJumpListItem,QWinMime,QWinTaskbarButton,QWinTaskbarProgress,QWinThumbnailToolBar,QWinThumbnailToolButton,QWizard,QWizardPage,QWriteLocker,XQX11Info,QXcbWindowFunctions,QXmlAttributes,QXmlContentHandler,QXmlDeclHandler,QXmlDefaultHandler,QXmlDTDHandler,QXmlEntityResolver,QXmlErrorHandler,QXmlFormatter,QXmlInputSource,QXmlItem,QXmlLexicalHandler,QXmlLocator,QXmlName,QXmlNamePool,QXmlNamespaceSupport,QXmlNodeModelIndex,QXmlParseException,QXmlQuery,QXmlReader,QXmlResultItems,QXmlSchema,QXmlSchemaValidator,QXmlSerializer,QXmlSimpleReader,QXmlStreamAttribute,QXmlStreamAttributes,QXmlStreamEntityDeclaration,QXmlStreamEntityResolver,QXmlStreamNamespaceDeclaration,QXmlStreamNotationDeclaration,QXmlStreamReader,QXmlStreamWriter,QXYLegendMarker,QXYSeries,
	AbstractCall,AbstractDataEncoder,AbstractHub,ClientHub,JsonBinarySerializer,Peer,Server,ServerHub,ServerHub,SimpleTokenValidator,ServerThread,Neuron}
}

